call plug#begin('~/.local/share/nvim/site/plugged')

" Basic plugins
Plug 'joshdick/onedark.vim'
Plug 'vim-airline/vim-airline'

" Editorconfig support
Plug 'sgur/vim-editorconfig'

" Sudo support for WW
Plug 'lambdalisue/suda.vim'

" File manager
Plug 'justinmk/vim-dirvish'

" Git integration and git grepping
Plug 'tpope/vim-fugitive'
Plug 'vim-scripts/gitignore.vim'

" Buffer / Quickfix / ... hotkeys for navigation
Plug 'tpope/vim-unimpaired'

" Quickfix and local list toggle
Plug 'Valloric/ListToggle'

" File type support
Plug 'dag/vim-fish', { 'for': 'fish' }
Plug 'wlangstroth/vim-racket', { 'for': 'scheme' }
Plug 'leafgarland/typescript-vim', { 'for': 'typescript' }
Plug 'mboughaba/i3config.vim', { 'for': 'i3config' }

" LanguageClient support
Plug 'Shougo/vimproc.vim', { 'do': 'make' }
Plug 'roxma/nvim-yarp'
Plug 'ncm2/ncm2'
Plug 'autozimu/LanguageClient-neovim', {
    \ 'branch': 'next',
    \ 'do': 'bash install.sh',
    \ }
Plug 'junegunn/fzf.vim', { 'do': 'yes \| ./install' }

" Syntax checking for C
Plug 'vim-syntastic/syntastic'

call plug#end()
